using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {

    public enum TimeInterval {
        QuarterMin = 1,
        Hour,
        Day,
        Month,
        Year
    }; public partial class BemsFormula {
        public BemsFormula() {
            BemsFormulaParameter = new HashSet<BemsFormulaParameter>();
            BemsPriceFormula = new HashSet<BemsPriceFormula>();
        }

        //성능분석식
        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "설비종류"), Key]
        public int FacilityTypeId { get; set; }
        [Display(Name = "설비코드"), Key]
        public int FacilityCode { get; set; }
        [Display(Name = "수식 고유번호"), Key]
        public int FormulaId { get; set; }
        [Display(Name = "수식 내용"), Required]
        [StringLength(120)]
        public string Formula { get; set; }

        [ForeignKey("FacilityTypeId,FormulaId")]
        public virtual BemsFormulaBase FormulaBase { get; set; }
        [InverseProperty("BemsFormula")]
        public virtual ICollection<BemsFormulaParameter> BemsFormulaParameter { get; set; }
        [InverseProperty("BemsFormula")]
        public virtual ICollection<BemsPriceFormula> BemsPriceFormula { get; set; }
    }
}
